Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.log.log4j
Class Log4jLogger

    java.lang.Object
      com.intel.cosbench.log.log4j.Log4jLogger

All Implemented Interfaces:
  Logger

    public class Log4jLogger

extends java.lang.Object
implements Logger

The wrapper of log4j logger.

Author:
  ywang19

Method Summary
`void` | `debug(java.lang.String msg)`
`void` | `debug(java.lang.String format, java.lang.Object arg)`
`void` | `debug(java.lang.String format, java.lang.Object[] argArray)`
`void` | `debug(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `debug(java.lang.String msg, java.lang.Throwable t)`
`void` | `error(java.lang.String msg)`
`void` | `error(java.lang.String format, java.lang.Object arg)`
`void` | `error(java.lang.String format, java.lang.Object[] argArray)`
`void` | `error(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `error(java.lang.String msg, java.lang.Throwable t)`
`void` | `info(java.lang.String msg)`
`void` | `info(java.lang.String format, java.lang.Object arg)`
`void` | `info(java.lang.String format, java.lang.Object[] argArray)`
`void` | `info(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `info(java.lang.String msg, java.lang.Throwable t)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(java.lang.String msg)`
`void` | `trace(java.lang.String format, java.lang.Object arg)`
`void` | `trace(java.lang.String format, java.lang.Object[] argArray)`
`void` | `trace(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `trace(java.lang.String msg, java.lang.Throwable t)`
`void` | `warn(java.lang.String msg)`
`void` | `warn(java.lang.String format, java.lang.Object arg)`
`void` | `warn(java.lang.String format, java.lang.Object[] argArray)`
`void` | `warn(java.lang.String format, java.lang.Object arg1, java.lang.Object arg2)`
`void` | `warn(java.lang.String msg, java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `Logger`

### trace

    public void trace(java.lang.String msg)

  Specified by:
    `trace` in interface `Logger`

### trace

    public void trace(java.lang.String msg,
                      java.lang.Throwable t)

  Specified by:
    `trace` in interface `Logger`

### trace

    public void trace(java.lang.String format,
                      java.lang.Object arg)

  Specified by:
    `trace` in interface `Logger`

### trace

    public void trace(java.lang.String format,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Specified by:
    `trace` in interface `Logger`

### trace

    public void trace(java.lang.String format,
                      java.lang.Object[] argArray)

  Specified by:
    `trace` in interface `Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`

### debug

    public void debug(java.lang.String msg)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable t)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.String format,
                      java.lang.Object arg)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.String format,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.String format,
                      java.lang.Object[] argArray)

  Specified by:
    `debug` in interface `Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `Logger`

### info

    public void info(java.lang.String msg)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable t)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.String format,
                     java.lang.Object arg)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.String format,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.String format,
                     java.lang.Object[] argArray)

  Specified by:
    `info` in interface `Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `Logger`

### warn

    public void warn(java.lang.String msg)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable t)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.String format,
                     java.lang.Object arg)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.String format,
                     java.lang.Object arg1,
                     java.lang.Object arg2)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.String format,
                     java.lang.Object[] argArray)

  Specified by:
    `warn` in interface `Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `Logger`

### error

    public void error(java.lang.String msg)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable t)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.String format,
                      java.lang.Object arg)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.String format,
                      java.lang.Object arg1,
                      java.lang.Object arg2)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.String format,
                      java.lang.Object[] argArray)

  Specified by:
    `error` in interface `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD